Skip to content

jQuery UI 1.8

Well, they released jQuery UI 1.8 two days ago, and now everything is broken. I understand why the changes were made, but it sure is inconvenient. Plugins and posts updated so far:

And on top of that, chili stopped working with jQuery 1.4 and I haven't fixed it yet. Andrea Ercolino was nice enough to send me an updated version, but I haven't gotten around to installing it yet.

Update: got chili to work!

So much for using my spare time to learn Scheme!

{ 2 } Comments

  1. Richard D. Worth | March 26, 2010 at 5:56 am | Permalink

    I’m glad you were able to update your posts and plugins to work with the latest jQuery UI 1.8 release. I hope our Upgrade Guide was helpful in that. Your posts are quite valuable to users new and old of this under-appreciated part of jQuery UI and having them updated brings even greater value to the library.

    From here forward we should see a lot more stability in the UI Widget Factory, which means we can start encouraging its adoption even more. As we do so, I hope people find what you have here and I’ll do what I can to point them to it. Thanks for your efforts.

  2. Danny | March 26, 2010 at 11:14 am | Permalink

    @Richard:
    Thanks for the feedback. I understand why the breaking changes were made, and I think you made the right choices (though I would have factored $.widget even further and separated the prototype-creating code from the name-creating code). It made for a long night changing everything, though!
    –Danny

Post a Comment

Your email is never published nor shared. Required fields are marked *